Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.sword
Class BlockType

    java.lang.Object
      org.crosswire.jsword.book.sword.BlockType

All Implemented Interfaces:
  Serializable

    public abstract class BlockType

extends Object
implements Serializable

Block types indicates the grain of compression.

Author:
  Joe Walker [joe at eireneh dot com], DM Smith [dmsmith555 at yahoo dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`, Serialized Form

Field Summary
`static BlockType` | `BLOCK_BOOK` The level of compression is the Book
`static BlockType` | `BLOCK_CHAPTER` The level of compression is the Book
`static BlockType` | `BLOCK_VERSE` The level of compression is the Book
`private String` | `name` The name of the BlockType
`private static int` | `nextObj`
`private int` | `obj`
`private static BlockType[]` | `VALUES`

Constructor Summary
`BlockType(String name)` Simple ctor

Method Summary
`boolean` | `equals(Object o)` Prevent subclasses from overriding canonical identity based Object methods
`static BlockType` | `fromInteger(int i)` Lookup method to convert from an integer
`static BlockType` | `fromString(String name)` Lookup method to convert from a String
`(package private) abstract char` | `getIndicator()` Return a character indicating the grain of compression.
`int` | `hashCode()` Prevent subclasses from overriding canonical identity based Object methods
`(package private) Object` | `readResolve()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### BLOCK_BOOK

    public static final BlockType BLOCK_BOOK

  The level of compression is the Book

### BLOCK_CHAPTER

    public static final BlockType BLOCK_CHAPTER

  The level of compression is the Book

### BLOCK_VERSE

    public static final BlockType BLOCK_VERSE

  The level of compression is the Book

### name

    private String name

  The name of the BlockType

### nextObj

    private static int nextObj

### obj

    private final int obj

### VALUES

    private static final BlockType[] VALUES

Constructor Detail

### BlockType

    public BlockType(String name)

  Simple ctor

Method Detail

### getIndicator

    abstract char getIndicator()

  Return a character indicating the grain of compression. This is used in the names of compressed sword books.

  Returns:
    the indicator

### fromString

    public static BlockType fromString(String name)

  Lookup method to convert from a String

### fromInteger

    public static BlockType fromInteger(int i)

  Lookup method to convert from an integer

### equals

    public final boolean equals(Object o)

  Prevent subclasses from overriding canonical identity based Object methods

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### hashCode

    public final int hashCode()

  Prevent subclasses from overriding canonical identity based Object methods

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### readResolve

    Object readResolve()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD